Create a saved filter for your organization
post
https://app.fossa.com/api/issue-filtersThis endpoint allows you to create a saved filter for your organization. This endpoint requires a **Premium** subscription.
Request body (required) · application/json
categoryenumlicensingvulnerabilityqualitynamestringfilterobjectsortenumCan be any of the sort options related to issue or revision.
severity_ascseverity_descissue_count_ascissue_count_desccreated_at_asccreated_at_descpackage_ascpackage_descepss_ascepss_descgroupenumissuerevisionResponses
200Saved filter created successfullyidintegernamestringcategoryenumlicensingvulnerabilityqualityfilterobjectA JSON object representing the specific filter criteria.
sortenumCan be any of the sort options related to issue or revision.
severity_ascseverity_descissue_count_ascissue_count_desccreated_at_asccreated_at_descpackage_ascpackage_descepss_ascepss_descgroupenumissuerevision403Returned when the request is forbidden. This can happen for two reasons:
- The organization is not on a **Premium** subscription.
- The user lacks permission to create issue filters for the relevant category.
Try this endpoint
Build a request and run it against app.fossa.com.
Bearer
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/issue-filterscurl --request POST \ --url 'https://app.fossa.com/api/issue-filters' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "category": "licensing", "name": "string", "filter": { "type": "policy_conflict", "identification": "declared", "packageManagers": [ "string" ], "projectLabels": [ "string" ], "search": "string", "ticketed": "jira" }, "sort": "severity_asc", "group": "issue"}'Real request. Mutating methods can change data.
Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.
application/json